import { marker as _ } from '@biesbjerg/ngx-translate-extract-marker';
import { DialogOption } from '@translations/redact-text-translations';

interface ResizeDialogOption extends DialogOption {
    tooltip?: string;
}

export const resizeRedactionTranslations: Record<'onlyHere' | 'inDossier', ResizeDialogOption> = {
    onlyHere: {
        label: _('resize-redaction.dialog.content.options.only-here.label'),
        description: _('resize-redaction.dialog.content.options.only-here.description'),
    },
    inDossier: {
        label: _('resize-redaction.dialog.content.options.in-dossier.label'),
        description: _('resize-redaction.dialog.content.options.in-dossier.description'),
        extraOptionLabel: _('resize-redaction.dialog.content.options.in-dossier.extraOptionLabel'),
        tooltip: _('resize-redaction.dialog.content.options.in-dossier.tooltip'),
    },
} as const;
